ia64/xen-unstable

annotate install.sh @ 2895:0d70a2747177

bitkeeper revision 1.1159.165.1 (418aa0f4koam0mhscMMP2HGuqLK5kQ)

install.sh now does a few checks to warn the user if prerequisite tools are missing.
author iap10@labyrinth.cl.cam.ac.uk
date Thu Nov 04 21:36:52 2004 +0000 (2004-11-04)
parents 565da10c07de
children 622f60f46a5a
rev   line source
kaf24@2828 1 #!/bin/sh
kaf24@2828 2
kaf24@2830 3 src='./install'
kaf24@2830 4 if [ -d ./dist ]; then
kaf24@2830 5 src='./dist/install'
kaf24@2830 6 fi
kaf24@2830 7
kaf24@2830 8 if ! [ -d $src ]; then
kaf24@2830 9 echo "ERROR: Could not find a valid distribution directory."
kaf24@2830 10 echo " If this is a source-only release, try 'make dist'."
kaf24@2828 11 exit 1
kaf24@2828 12 fi
kaf24@2828 13
kaf24@2830 14 dst='/'
kaf24@2828 15 if [ $# -ne 0 ]; then
kaf24@2830 16 dst=$1
kaf24@2828 17 fi
kaf24@2828 18
kaf24@2830 19 if ! [ -d $dst ]; then
kaf24@2828 20 echo "ERROR: You must specify a valid install directory."
kaf24@2830 21 echo " The specified directory '$dst' is not valid."
kaf24@2828 22 exit 1
kaf24@2828 23 fi
kaf24@2828 24
kaf24@2830 25 echo "Installing Xen from '$src' to '$dst'..."
kaf24@2830 26 cp -fdR $src/* $dst
kaf24@2828 27 echo "All done."
kaf24@2828 28
iap10@2895 29 echo "Checking to see whether prerequisite tools are installed..."
iap10@2895 30 cd $src/../check
iap10@2895 31 ./chk install
iap10@2895 32 echo "All done."
iap10@2895 33
kaf24@2828 34 exit 0